<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="dev-translate" xml:lang="oc">

  <info>
    <link type="guide" xref="index" group="translate"/>
    <link type="next" xref="dev-translate-setup"/>
    <revision version="0.1" date="2013-06-19" status="review"/>

    <credit type="author copyright">
      <name>Michael Hill</name>
      <email its:translate="no">mdhillca@gmail.com</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Localization for user-visible application content.</desc>
  </info>

  <title>Translations</title>

  <links type="series" style="floatend">
    <title>Set up translations</title>
  </links>

  <p>You can make your application translatable into other languages using
  <app href="http://freedesktop.org/wiki/Software/intltool/">intltool</app>
  and
  <app href="http://www.gnu.org/software/gettext/manual/gettext.html">gettext</app>.</p>

  <p><app>gettext</app> is the framework for extracting strings from a source
  file. <app>intltool</app> extracts translatable strings from other files,
  such as desktop files and UI files, then merges them back into the XML and
  desktop files with the strings from the source code.</p>

  <p>You should use <code>ngettext</code> for translation of strings with
  plurals.</p>

  <p>For more information about translating GNOME projects, see the GNOME
  <link href="https://wiki.gnome.org/TranslationProject/DevGuidelines">Translation
  Project</link>.</p>
</page>
